# Ultra Bandsaw Open-Source Control Module - Hardware

***

![Bandsaw photograph - Electrolab](bandsaw/doc/bandsaw_ultra_photo.jpg)

***

This project is an open-source alternative control module for Ultra bandsaw.
The Electrolab association was donated an Ultra bandsaw, which has a faulty control module. Rather than trying to repair the faulty module, decision was made to replace it with a custom system.

## Description

This repository contains all the electronic design. It contains two parts:
- General machine wiring
- Control module electronic board

## General machine wiring

Tools : [QElectroTech 0.80](https://qelectrotech.org/download.html)
Directory : [bandsaw](bandsaw)

Description of the machine internal wiring and connections.

## Control module electronic board

Tools : [Kicad 6.0](https://www.kicad.org/download/)
Directory : [control_board](control_board)

This circuit is a motherboard / shield for the [Nucleo STM32F207](https://www.st.com/en/evaluation-tools/nucleo-f207zg.html).

### Board outline

Tools : [Freecad 0.20.1](https://www.freecadweb.org/downloads.php)
Directory : [control_board/mec](control_board/mec)

The board outline is the same as the original control board: 200 x 180, 4 fixation holes in M4 188 x 166.

The HMI will be the original keyboard + LCD screen.